.overlay {
    position:fixed;
    display:block;
    width:100%;
    height:100%;
    top:0;
    left:0;
    background-color:rgba(143, 142, 142, 0.5);
    z-index:99999;
  }
  .spinner {
    position:absolute;
    top:50%;
    left:50%;
    transform: translate(-50%,-50%);
  }